summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTanguy Ortolo <tanguy@ortolo.eu>2012-04-15 13:46:49 +0200
committerBenjamin Drung <bdrung@debian.org>2012-04-22 00:05:52 +0200
commit6bba3d4f3a522b166500715cf2fd549f62353ae7 (patch)
treef7eed0c3a662aa4bf845b3dbe902a013212c48d4
parent9634b056366addd80d3ddb79cf22cf3ddcc65ffe (diff)
dh_xul-ext: correct Breaks max-version (>> not >=)
An addon is by definition [1] compatible to a target application up to and *including* its indicated max-version. Thus, it “breaks” this application's versions *strictly* superior to this max-version. [1] https://developer.mozilla.org/en/Install_Manifests#targetApplication The code used to generate a Break field >= max-version; this corrects it to >> max-version.
-rwxr-xr-xdh_xul-ext2
1 files changed, 1 insertions, 1 deletions
diff --git a/dh_xul-ext b/dh_xul-ext
index e003173..6876988 100755
--- a/dh_xul-ext
+++ b/dh_xul-ext
@@ -52,7 +52,7 @@ class XulApp(object):
breaks.append(self.package + " (<< " + deb_min_version + ")")
if self.max_version:
deb_max_version = moz_to_next_debian_version(self.max_version)
- breaks.append(self.package + " (>= " + deb_max_version + ")")
+ breaks.append(self.package + " (>> " + deb_max_version + ")")
return ", ".join(breaks)
def get_eol(self):